import request from '@/utils/request'

// 查询AI外呼任务加微方式列表
export function listVoiceRoboticWx(query) {
  return request({
    url: '/company/VoiceRoboticWx/list',
    method: 'get',
    params: query
  })
}

// 查询AI外呼任务加微方式详细
export function getVoiceRoboticWx(id) {
  return request({
    url: '/company/VoiceRoboticWx/' + id,
    method: 'get'
  })
}

// 新增AI外呼任务加微方式
export function addVoiceRoboticWx(data) {
  return request({
    url: '/company/VoiceRoboticWx',
    method: 'post',
    data: data
  })
}

// 修改AI外呼任务加微方式
export function updateVoiceRoboticWx(data) {
  return request({
    url: '/company/VoiceRoboticWx',
    method: 'put',
    data: data
  })
}

// 删除AI外呼任务加微方式
export function delVoiceRoboticWx(id) {
  return request({
    url: '/company/VoiceRoboticWx/' + id,
    method: 'delete'
  })
}

// 导出AI外呼任务加微方式
export function exportVoiceRoboticWx(query) {
  return request({
    url: '/company/VoiceRoboticWx/export',
    method: 'get',
    params: query
  })
}